﻿@model Appointments2.Models.RegisterViewModel

@{
    ViewBag.Title = "Register";
}

<h2>@ViewBag.Title.</h2>

@using (Html.BeginForm("Register", "Account", FormMethod.Post, new { @class = "form-horizontal", role = "form" }))
{
    @Html.AntiForgeryToken()
    <h4>Create a new account.</h4>
    <hr />
    @Html.ValidationSummary("", new { @class = "text-danger" })
    <div class="form-group">
        @Html.LabelFor(m => m.Email, new { @class = "col-md-2 control-label" })
        <div class="col-md-10">
            @Html.TextBoxFor(m => m.Email, new { @class = "form-control" })
        </div>
    </div>
    <div class="form-group"> 
       @Html.LabelFor(m => m.Role, new { @class = "col-md-2 control-label" })  
      <div class="col-md-10"> 
          <p>@Html.RadioButtonFor(m => m.Role, "Admin")Administrative Role</p>
        <p>@Html.RadioButtonFor(m => m.Role, "Doctor")Doctorial Role</p>
        <p>@Html.RadioButtonFor(m => m.Role, "Patient")Patient Role</p>
      </div>   
    </div>
    <div class="form-group">
        <div class="col-md-offset-2 col-md-10">
            <input type="submit" class="btn btn-default" value="Register" />
        </div>
    </div>
}

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}
